ScalES-PPM - Task #260

Task # 258 (Assigned): Produce release-ready version of ScalES-PPM

Investigate wether the library contains symbols not conforming to the PPM-prefix requirement and

fix violations
03/24/2011 05:24 PM - Thomas Jahns

Status: Resolved
Priority: Normal
Assignee: Thomas Jahns
Category:

Target version:

Start date:
Due date:
% Done:

Estimated time:

03/24/2011
03/25/2011
50%

4:00 hours

Description

The result is yes, and it will need some work to fix, mostly in the hands of Thomas and Florian.

History

#1 - 03/24/2011 05:25 PM - Thomas Jahns

- Status changed from New to Assigned

#2 - 03/24/2011 05:55 PM - Thomas Jahns

The following symbols are in violation:

e procedure initiaize—rand commit:6bed5ec69

¢ module-statistiecs commit:9701bdc
e solver_internal
o abort_unless_normal0
abort_unless_normali
abort_unless_normal2
abort_unless_normal3
clear_halos
config
int2str
mpi_real_dp
stencil
* ieee—is—normal—dp commit:2e395f1
* icee—is—normal—sp commit:2e395f1
¢ solver_config
o apply_shifted_stencil
apply_stencil
get_lambda_min_max
get_shift
get_ssor_param
init_solver
reset_shift
set_lambda_min_max
set_shift
set_ssor_param
set_stencil
o stencil_defined
e linear_algebra
o arr_dotproducti
o arr_dotproduct2
o arr_norm_2
o calc_abs_res
o calc_rel_res
o global_sum
spectral_methods
o calc_lambda_max
o calc_lambda_min
o calc_lambda_min_max
o calc_optimal_sor_param
o jacobi_iter
o power_method
e solvers
o cg_method
o chebyshev_method
o precond_cg_method
o precond_chebyshev_method
o schwarz_method
e preconditioners
o icc
o icc_c
o icc_precond_shifted_stencil
o icc_precond_stencil
o icc_s
o icc_w
o identity
o ilu0
o ilu0_diag
o ilu0_precond_shifted_stencil
o ilu0_precond_stencil
o jacobi
o jacobi_diag
o jacobi_precond_shifted_stencil
o jacobi_precond_stencil
o micc
© micc_c
o micc_precond_shifted_stencil
o micc_precond_stencil
o precond_prepared
o prep_icc
o prep_ilu0
o prep_jacobi
© prep_micc
o ssor
o ssor_precond_shifted_stencil
o ssor_precond_stencil
e solver_all
o solve
{Rand commit:6bed5ec69
atRand commit:6bed5ec69
a—fand— commit:6bed5ec69
nitlRand— commit:6bed5ec69
irand commit:6bed5ec69
sprintExt commit:918fcb83
sprirt—ext commit:918fcb83
sprint—sext commit:9815da9e71
sprntSExt commit:9815da9e71
ParMETIS_V3_PartKway_Wrapper

#3 - 03/24/2011 05:57 PM - Thomas Jahns

- Subject changed from Investigate wether the library contains symbols not conforming to the PPM-prefix requirement to Investigate wether the library
contains symbols not conforming to the PPM-prefix requirement and fix violations

- Status changed from Assigned to Resolved
- % Done changed from 0 to 50
- Estimated time changed from 2:00 h to 4:00 h
